pcl::detail::FieldMapper< PointT > Struct Template Reference

`#include <pcl/conversions.h>`

## Public Member Functions

| FieldMapper (const std::vector< pcl::PCLPointField > &fields, std::vector< FieldMapping > &map)
template<typename Tag >
void | operator() ()

## Public Attributes

const std::vector< pcl::PCLPointField > & | fields_
std::vector< FieldMapping > & | map_

## Detailed Description

### template<typename PointT>
struct pcl::detail::FieldMapper< PointT >

Definition at line 81 of file conversions.h.

## Constructor & Destructor Documentation

## FieldMapper()

template<typename PointT >

pcl::detail::FieldMapper< PointT >::FieldMapper | ( | const std::vector< pcl::PCLPointField > & | fields,
|  | std::vector< FieldMapping > & | map
| ) |  |

inline

Definition at line 83 of file conversions.h.

## Member Function Documentation

## operator()()

template<typename PointT >
template<typename Tag >

void pcl::detail::FieldMapper< PointT >::operator() | ( |  | ) |

inline

Definition at line 90 of file conversions.h.

References pcl::detail::FieldMapper< PointT >::fields_, pcl::detail::FieldMapper< PointT >::map_, pcl::detail::FieldMapping::serialized_offset, pcl::detail::FieldMapping::size, and pcl::detail::FieldMapping::struct_offset.

## Member Data Documentation

## fields_

template<typename PointT >

const std::vector<pcl::PCLPointField>& pcl::detail::FieldMapper< PointT >::fields_

Definition at line 109 of file conversions.h.

Referenced by pcl::detail::FieldMapper< PointT >::operator()().

## map_

template<typename PointT >

std::vector<FieldMapping>& pcl::detail::FieldMapper< PointT >::map_

Definition at line 110 of file conversions.h.

Referenced by pcl::detail::FieldMapper< PointT >::operator()().

The documentation for this struct was generated from the following file:

- pcl/conversions.h